Loading...
Searching...
No Matches
load_data_interface.h File Reference
`#include <starpu.h>`

Go to the source code of this file.

## Data Structures

struct | load_data_interface

## Macros

#define | LOAD_DATA_GET_NSUBMITTED_TASKS(interface)
#define | LOAD_DATA_GET_SLEEP_THRESHOLD(interface)
#define | LOAD_DATA_GET_WAKEUP_THRESHOLD(interface)

## Functions

void | load_data_data_register (starpu_data_handle_t *handle, unsigned home_node, int sleep_task_threshold, double wakeup_ratio)
int | load_data_get_sleep_threshold (starpu_data_handle_t handle)
int | load_data_get_wakeup_threshold (starpu_data_handle_t handle)
int | load_data_get_current_phase (starpu_data_handle_t handle)
int | load_data_get_nsubmitted_tasks (starpu_data_handle_t handle)
int | load_data_get_nfinished_tasks (starpu_data_handle_t handle)
int | load_data_inc_nsubmitted_tasks (starpu_data_handle_t handle)
int | load_data_inc_nfinished_tasks (starpu_data_handle_t handle)
int | load_data_next_phase (starpu_data_handle_t handle)
int | load_data_update_elapsed_time (starpu_data_handle_t handle)
double | load_data_get_elapsed_time (starpu_data_handle_t handle)
int | load_data_update_wakeup_cond (starpu_data_handle_t handle)
int | load_data_wakeup_cond (starpu_data_handle_t handle)

## Data Structure Documentation

## load_data_interface

struct load_data_interface

interface for load_data

Data Fields
double | start | Starting time of the execution
double | elapsed_time | Elapsed time until the start time and the time when event "launch a load balancing phase" is triggered
int | phase | Current submission phase, i.e how many balanced steps have already happened so far.
int | nsubmitted_tasks | Number of currently submitted tasks
int | nfinished_tasks | Number of currently finished tasks
int | sleep_task_threshold | Task threshold to sleep the submission thread
int | wakeup_task_threshold | Task threshold to wake-up the submission thread
double | wakeup_ratio | Ratio of submitted tasks to wait for completion before waking up the submission thread